<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for preferance in opportunity package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  preferance module in opportunity package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Preferance',
    'names' => 'Preferances',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Preferances',
        'sub' => 'Preferances'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'opportunity_id'             => 'Please enter opportunity id',
        'property_id'                => 'Please enter property id',
        'property_ref'               => 'Please enter property ref',
        'category'                   => 'Please enter category',
        'country_id'                 => 'Please enter country id',
        'region_id'                  => 'Please enter region id',
        'location_id'                => 'Please enter location id',
        'sublocation_id'             => 'Please enter sublocation id',
        'building_id'                => 'Please enter building id',
        'min_bed'                    => 'Please enter min bed',
        'max_bed'                    => 'Please enter max bed',
        'min_price'                  => 'Please enter min price',
        'max_price'                  => 'Please enter max price',
        'min_area'                   => 'Please enter min area',
        'max_area'                   => 'Please enter max area',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'opportunity_id'             => 'Opportunity id',
        'property_id'                => 'Property id',
        'property_ref'               => 'Property ref',
        'category'                   => 'Category',
        'country_id'                 => 'Country id',
        'region_id'                  => 'Region id',
        'location_id'                => 'Location id',
        'sublocation_id'             => 'Sublocation id',
        'building_id'                => 'Building id',
        'min_bed'                    => 'Min bed',
        'max_bed'                    => 'Max bed',
        'min_price'                  => 'Min price',
        'max_price'                  => 'Max price',
        'min_area'                   => 'Min area',
        'max_area'                   => 'Max area',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
