<?php

namespace Bixo\Opportunity\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Bixo\Opportunity\Models\Offer;

class OfferWorkflow
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * Create a new event instance.
     */
    public function __construct(
        public string $transition,
        public Offer $offer,
        public array $request = [],
        public string $when = 'after'
    ) {
    }
}
