<?php

namespace Bixo\Opportunity\Providers;

use Litepie\Foundation\Support\Providers\ActionServiceProvider as ServiceProvider;

class ActionServiceProvider extends ServiceProvider
{
    /**
     * Indicates if loading of the provider is deferred.
     *
     * @var bool
     */
    protected $defer = true;

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function actions()
    {
        return [
            \Bixo\Opportunity\Models\Opportunity::class
                 => config('bixo.opportunity.opportunity.actions')        \Bixo\Opportunity\Models\Offer::class
                 => config('bixo.opportunity.offer.actions')        \Bixo\Opportunity\Models\Preferance::class
                 => config('bixo.opportunity.preferance.actions')        \Bixo\Opportunity\Models\Viewing::class
                 => config('bixo.opportunity.viewing.actions')
            ];
    }

}
