<?php

namespace Bixo\Opportunity\Providers;

use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * Indicates if loading of the provider is deferred.
     *
     * @var bool
     */
    protected $defer = true;

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function workflows()
    {
        return [
            \Bixo\Opportunity\Models\Opportunity::class 
                => config('bixo.opportunity.opportunity.workflow')        \Bixo\Opportunity\Models\Offer::class 
                => config('bixo.opportunity.offer.workflow')        \Bixo\Opportunity\Models\Preferance::class 
                => config('bixo.opportunity.preferance.workflow')        \Bixo\Opportunity\Models\Viewing::class 
                => config('bixo.opportunity.viewing.workflow')
            ];
    }

}
